VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "RectButton"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
'Klasa RectButton
Implements Command
Private bt As MSComctlLib.Button
Private med As Mediator
'-----
Public Sub init(md As Mediator, but As MSComctlLib.Button)
  Set bt = but
  Set med = md
  med.registerRectButton Me
End Sub
'-----
Private Sub Command_Execute()
  If bt.Value = tbrPressed Then
    med.startRectangle
  End If
End Sub
'-----
Public Sub setSelected(sel As Boolean)
  If sel Then
    bt.Value = tbrPressed
  Else
    bt.Value = tbrUnpressed
  End If
End Sub
